<template>
  <div style="width: 100%">
    <!-- <br />
    <br />
    <hr>
    <br />
    <a ><img class="rounded-circle" src="@/assets/img/avatar.png" /></a>
    <br />

    <a ><i class="fa fa-home" aria-hidden="true"></i></a>
    <br />

    <a ><i class="fa fa-envelope-o" aria-hidden="true"></i></a>
    <br />

    <a ><i class="fa fa-bars" aria-hidden="true"></i></a>
    <br />

<hr>
    <a ><i class="fa fa-cog" aria-hidden="true"></i></a>
    <br />
<hr>
    <a ><i class="fa fa-sign-out" aria-hidden="true"></i></a> -->

    <div class="user-panel_box"></div>
    <div class="user-panel_images">
      <img :src="userImage" />
    </div>
    <ul class="user-panel_list text-center">
      <li>
        <a href=""><img src="@/assets/img/icon/icon-home.svg" alt="" /></a>
      </li>
      <li>
        <a href=""><img src="@/assets/img/icon/profile.svg" alt="" /></a>
      </li>
      <li>
        <a href=""><img src="@/assets/img/icon/time.svg" alt="" /></a>
      </li>
      <li class="border">
        <a href=""><img src="@/assets/img/icon/setting.svg" alt="" /></a>
      </li>
      <li>
        <a href="" @click="logout" title="logout"
          ><img src="@/assets/img/icon/out.svg" alt=""
        /></a>
      </li>
    </ul>
  </div>
</template>

<script>
export default {
  computed: {
    userImage: function () {
      return localStorage.getItem("imageUrl");
    },
  },
  methods: {
    logout() {
      localStorage.removeItem("userToken");
    },
  },
};
</script>

<style>
</style>